#! /usr/bin/env python

import rospy
from my_custom_srv_msg_pkg.srv import MyCustomServiceMessage, MyCustomServiceMessageResponse # you import the service message python classes 
                                                                                         # generated from MyCustomServiceMessage.srv.

from geometry_msgs.msg import Twist

rospy.init_node('custom_move_bb8_service_server')
pub = rospy.Publisher('/move_bb8_in_circle_custom', Twist, queue_size=1)
move = Twist()

def my_callback(request):
    print "Request Data==> duration="+str(request.duration)
    my_response = MyCustomServiceMessageResponse()
    
    move.linear.x = 0.5
    move.angular.z = 0.2
    pub.publish(move)
    rospy.loginfo("moving")

    move.linear.x = 0.0
    move.angular.z = 0.0
    rospy.loginfo("stop")
    pub.publish(move)

    return my_response # the service Response class, in this case EmptyResponse
    #return MyServiceResponse(len(request.words.split())) 

my_service = rospy.Service('/move_bb8_in_circle_custom', MyCustomServiceMessage , my_callback) # create the Service called move_bb8_in_circle with the defined callback

rospy.spin() # maintain the service open.